Show / Hide Table of Contents

# Class ColorlessConsolePrinter

A colorless version of ColoredConsolePrinter, that indiscriminantly prints to standard out.

##### Inheritance

Object
LogPrinter
ColorlessConsolePrinter

##### Inherited Members

LogPrinter.StartPrint()
LogPrinter.EndPrint()
Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Logging.Printers

###### Assembly: IPA.Loader.dll

##### Syntax

    public class ColorlessConsolePrinter : LogPrinter

### Properties

| Improve this Doc View Source

#### Filter

A filter for this specific printer.

##### Declaration

    public override Logger.LogLevel Filter { get; set; }

##### Property Value

Type | Description
--- | ---
Logger.LogLevel | the filter level for this printer

##### Overrides

LogPrinter.Filter

### Methods

| Improve this Doc View Source

#### Print(Logger.Level, DateTime, String, String)

Prints an entry to standard out.

##### Declaration

    public override void Print(Logger.Level level, DateTime time, string logName, string message)

##### Parameters

Type | Name | Description
--- | --- | ---
Logger.Level | level | the Logger.Level of the message
DateTime | time | the DateTime the message was recorded at
String | logName | the name of the log that sent the message
String | message | the message to print

##### Overrides

LogPrinter.Print(Logger.Level, DateTime, String, String)

### Extension Methods

ReflectionUtil.SetField(Object, String, Object)
ReflectionUtil.SetField<T>(T, String, Object)
ReflectionUtil.GetField<T>(Object, String)
ReflectionUtil.SetProperty(Object, String, Object)
ReflectionUtil.SetProperty<T>(T, String, Object)
ReflectionUtil.InvokeMethod(Object, String, Object[])
ReflectionUtil.InvokeMethod<T>(T, String, Object[])
ReflectionUtil.InvokeMethod<T>(Object, String, Object[])
ReflectionUtil.InvokeMethod<T, U>(U, String, Object[])